- NAME
- DESCRIPTION
- METHODS
  - Table
  - RegisterRoles
  - LimitToObjectId
  - LimitToSingleValue
  - LimitToMultipleValue
  - LimitToLookupType
  - ApplySortOrder
  - LimitToNotAdded
  - LimitToAdded

# NAME

RT::CustomRoles - collection of RT::CustomRole records

# DESCRIPTION

Collection of RT::CustomRole records. Inherits methods from RT::SearchBuilder.

# METHODS

## Table

Returns name of the table where records are stored.

## RegisterRoles

This declares all (enabled) custom roles to the RT::Record::Role::Roles subsystem, suitable for system startup.

## LimitToObjectId

Takes an ObjectId and limits the collection to custom roles applied to said object.

When called multiple times the ObjectId limits are joined with OR.

## LimitToSingleValue

Limits the list of custom roles to only those that take a single value.

## LimitToMultipleValue

Limits the list of custom roles to only those that take multiple values.

## LimitToLookupType

Takes LookupType and limits collection.

## ApplySortOrder

Sort custom roles according to the order provided by the object custom roles.

## LimitToNotAdded

Takes either list of object ids or nothing. Limits collection to custom roles to listed objects or any correspondingly.

## LimitToAdded

Limits collection to custom roles to listed objects or any correspondingly.

← Back to index